// Edict_Copy.h | by Doug Manley
///////////////////////////////////////////////////////////
#ifndef EDICT_COPY_H
#define EDICT_COPY_H
///////////////////////////////////////////////////////////
// For the copy function:
#include "CopyPaste.h"
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
wstring Edict_GetMeaning( EDICT_Entry &entry ) {
	wstring meaning = L"";
	for( int m = 0; m < entry.meaning.size(); m++ ) {
		meaning += entry.meaning[m];
		if( m < entry.meaning.size()-1 ) {
			meaning += L" | ";
		}
	}
	return(meaning);
}
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
enum {
	EINFO_WORD,
	EINFO_KANA,
	EINFO_MEANING,
	EINFO_ALL
};
///////////////////////////////////////////////////////////
void CopySelectedEdictInfo( int what ) {
	EDICT_Entry *entry = &edict_results[entry_selected];

	wstring copystr = L"";
	if( what == EINFO_WORD ) {
		copystr = entry->word;
	} else if( what == EINFO_KANA ) {
		copystr = entry->kana;
	} else if( what == EINFO_MEANING ) {
		copystr = Edict_GetMeaning( *entry );
	} else if( what == EINFO_ALL ) {
		copystr = entry->word;
			copystr += L" (";
		copystr += entry->kana;
			copystr += L")\nMeaning: ";
		copystr += Edict_GetMeaning( *entry );
	}

	// Copy the text in the specified format:
	CopyTextUsingComboboxEncoding( copystr );
}
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
#endif
///////////////////////////////////////////////////////////
