// Edict_English.h | by Doug Manley
///////////////////////////////////////////////////////////
#ifndef EDICT_ENGLISH_H
#define EDICT_ENGLISH_H
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
struct English_Index {
	Uint16 *word;
	vector<int> index;
};
///////////////////////////////////////////////////////////
void MakeEnglishIndex() {
	vector<English_Index*> english_words;

	Dictionary_EDICT *dict = edict_dictionaries[0];
	for( int i = 0; i < dict->index_entries_size; i++ ) {
		EDICT_Entry entry;
			LoadInfoInto( dict, entry, dict->index_entries[i] );
		for( int m = 0; m < entry.meaning.size(); m++ ) {
			wstring *meaning = &entry.meaning[m];
			int start = 0;
			while( start != -1 ) {
				int next = meaning->find(' ');
				wstring word = meaning->substr(start,next);

				bool found = false;
				int at = -1;
				for( int n = 0; n < english_words.size(); n++ ) {
					if( wcscmp(english_words[n]->word,word.c_str()) == 0 ) {
						found = true;
						at = n;
						break;
					}
				}
				if( found ) {
					english_words[n]->index.push_back(at);
				} else {
					English_Index *index = new English_Index;
						index->word = new Uint16[word.size()+1];
						swprintf(index->word,L"%s",word.c_str() );
						index->index.push_back( english_words.size() );
					english_words.push_back( index );
				}

				start = next;
			}
		}
	}
}
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
#endif
///////////////////////////////////////////////////////////

