// Result_List.h | by Doug Manley
///////////////////////////////////////////////////////////
#ifndef RESULT_LIST_H
#define RESULT_LIST_H
///////////////////////////////////////////////////////////
/* NOTE:
	*  Okay, when it says 'index' of a header, it does not
	mean the actual index; it means the INITIAL index of
	the thing.
	   In other words, if you drag element 0 to the last
	position, and then you click it, you *still* clicked
	element zero; it hasn't moved in memory; just on the
	screen.
*/
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
HWND CreateResult_List1( HWND hwndParent, int xpos = 0,int ypos = 0 ) { 
	RECT rc;
		GetClientRect( hwndParent, &rc );

	HWND hwndList = CreateWindowEx(
		0,
		WC_HEADER, (LPCTSTR)NULL,
		//WS_VISIBLE | WS_CHILD | HDS_BUTTONS,// | HDS_FULLDRAG, //| HDS_DRAGDROP, //| HDS_FILTERBAR, // | HDS_HORZ, //| WS_BORDER,
		WS_VISIBLE | WS_CHILD | HDS_BUTTONS | HDS_DRAGDROP,// | HDS_FULLDRAG, //| HDS_FILTERBAR, // | HDS_HORZ, //| WS_BORDER,
      0,0, 100,16,
		hwndParent,
		(HMENU)WID_RESULT_LIST1,
		g_hinst, 
      (LPVOID)NULL
	);
	SendMessage( hwndList,WM_SETFONT, (WPARAM)hfont_msgothic12, (LPARAM)true );
 

	Header_AddItem( hwndList, TEXT("Word"), (double)registry.GetINT(".\\Results\\HeaderWindow1\\Header0") );
	Header_AddItem( hwndList, TEXT("Type"), (double)registry.GetINT(".\\Results\\HeaderWindow1\\Header1") );
	Header_AddItem( hwndList, TEXT("W"), (double)registry.GetINT(".\\Results\\HeaderWindow1\\Header2") );
	Header_AddItem( hwndList, TEXT("K"), (double)registry.GetINT(".\\Results\\HeaderWindow1\\Header3") );


	RECT rcHeaderItem;
		Header_GetItemRect( hwndList, 0, &rcHeaderItem );
		//fprintf(g_flog,"itemrect: %i,%i - %i,%i\n",rcHeaderItem.left,rcHeaderItem.top, rcHeaderItem.right,rcHeaderItem.bottom );
	RECT rcList;
		GetClientRect( hwndList, &rcList );
	SetWindowPos( hwndList, 0, xpos,ypos, 0,0, SWP_NOZORDER|SWP_NOSIZE|SWP_SHOWWINDOW );
	Header_SetSizeScale( hwndList, rc.right,rcList.bottom );


   return hwndList;
} 
///////////////////////////////////////////////////////////
HWND CreateResult_List2( HWND hwndParent, int xpos = 0,int ypos = 0 ) { 
	RECT rc;
		GetClientRect( hwndParent, &rc );

	HWND hwndList = CreateWindowEx(
		0,
		WC_HEADER, (LPCTSTR)NULL,
		//WS_VISIBLE | WS_CHILD | HDS_BUTTONS | HDS_FULLDRAG,// | HDS_DRAGDROP, //| HDS_FILTERBAR, // | HDS_HORZ, //| WS_BORDER,
		WS_VISIBLE | WS_CHILD | HDS_BUTTONS | HDS_DRAGDROP,// | HDS_FULLDRAG, //| HDS_FILTERBAR, // | HDS_HORZ, //| WS_BORDER,
      0,0, 100,16,
		hwndParent,
		(HMENU)WID_RESULT_LIST2,
		g_hinst, 
      (LPVOID)NULL
	);
	SendMessage( hwndList,WM_SETFONT, (WPARAM)hfont_msgothic12, (LPARAM)true );
 

	Header_AddItem( hwndList, TEXT("Kana"), (double)registry.GetINT(".\\Results\\HeaderWindow2\\Header0") );
	Header_AddItem( hwndList, TEXT("Meaning"), (double)registry.GetINT(".\\Results\\HeaderWindow2\\Header1") );

	//fprintf(g_flog,"List2: numitems: %i\n",Header_GetItemCount(hwndList) );
	RECT rcHeaderItem;
		Header_GetItemRect( hwndList, 0, &rcHeaderItem );
		//fprintf(g_flog,"itemrect: %i,%i - %i,%i\n",rcHeaderItem.left,rcHeaderItem.top, rcHeaderItem.right,rcHeaderItem.bottom );
	RECT rcList;
		GetClientRect( hwndList, &rcList );
	SetWindowPos( hwndList, 0, xpos,ypos, 0,0, SWP_NOZORDER|SWP_NOSIZE|SWP_SHOWWINDOW );
	Header_SetSizeScale( hwndList, rc.right,rcList.bottom );


   return hwndList;
} 
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
#endif
///////////////////////////////////////////////////////////
