// Search_Toolbar.h | by Doug Manley
///////////////////////////////////////////////////////////
#ifndef SEARCH_TOOLBAR_H
#define SEARCH_TOOLBAR_H
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
HWND CreateSearch_Toolbar_SearchType( HWND hwndParent ) { 
	const int numbuttons = 4;
	TBBUTTON tbb[numbuttons];
		// button 1 properties
		tbb[0].iBitmap = 0;   // Array of picture to show
		tbb[0].idCommand = ID_SEARCH_START;
		tbb[0].fsState = TBSTATE_ENABLED;  // button status
		tbb[0].fsStyle = TBSTYLE_BUTTON|BTNS_CHECKGROUP;   // button style
		tbb[0].dwData = 0;
		tbb[0].iString = NULL;

		// button 2 properties
		tbb[1].iBitmap = 1;
		tbb[1].idCommand = ID_SEARCH_MIDDLE;
		tbb[1].fsState = TBSTATE_ENABLED;
		tbb[1].fsStyle = TBSTYLE_BUTTON|BTNS_CHECKGROUP;
		tbb[1].dwData = 0;
		tbb[1].iString = NULL;

		// seperator properties
		tbb[2].iBitmap = 2;
		tbb[2].idCommand = ID_SEARCH_END;
		tbb[2].fsState = TBSTATE_ENABLED;
		tbb[2].fsStyle = TBSTYLE_BUTTON|BTNS_CHECKGROUP;
		tbb[2].dwData = 0;
		tbb[2].iString = NULL;

		// button 4 properties
		tbb[3].iBitmap = 3;
		tbb[3].idCommand = ID_SEARCH_WHOLE;
		tbb[3].fsState = TBSTATE_ENABLED;//|TBSTATE_CHECKED;
		tbb[3].fsStyle = TBSTYLE_BUTTON|BTNS_CHECKGROUP;
		tbb[3].dwData = 0;
		tbb[3].iString = NULL;

	HWND tb_hwindow = CreateToolbarEx(
	   hwndParent,
   	WS_VISIBLE | TBSTYLE_TOOLTIPS | TBSTYLE_FLAT | 
		CCS_NOPARENTALIGN | CCS_NOMOVEY | CCS_NODIVIDER | CCS_NORESIZE,
	   IDR_TOOLBAR_SEARCHTYPE,
   	numbuttons,
	   g_hinst,
   	IDR_TOOLBAR_SEARCHTYPE,
	   tbb,
   	numbuttons,
	   16,15,
	   16*numbuttons,15,
	   sizeof(TBBUTTON)
	);

	return(tb_hwindow);
};
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
HWND CreateSearch_Toolbar_Strings( HWND hwndParent ) {
	const int numbuttons = 2;
	TBBUTTON tbb[numbuttons];
		tbb[0].iBitmap = 0;   // Array of picture to show
		tbb[0].idCommand = ID_MATCHSUBSTRINGS;
		tbb[0].fsState = TBSTATE_ENABLED;  // button status
		tbb[0].fsStyle = BTNS_CHECK;// | BTNS_AUTOSIZE;   // button style
		tbb[0].dwData = 0;
		tbb[0].iString = NULL;

		tbb[1].iBitmap = 1;   // Array of picture to show
		tbb[1].idCommand = ID_FORCEWORDSEARCH;
		tbb[1].fsState = TBSTATE_ENABLED;  // button status
		tbb[1].fsStyle = BTNS_CHECK;// | BTNS_AUTOSIZE;   // button style
		tbb[1].dwData = 0;
		tbb[1].iString = NULL;
	
	HWND tb_hwindow = CreateToolbarEx(
	   hwndParent,
   	WS_VISIBLE | TBSTYLE_TOOLTIPS | TBSTYLE_FLAT | 
		CCS_NOPARENTALIGN | CCS_NOMOVEY | CCS_NODIVIDER | CCS_NORESIZE,
	   IDR_TOOLBAR_STRINGS,
   	numbuttons,
	   g_hinst,
   	IDR_TOOLBAR_STRINGS,
	   tbb,
   	numbuttons,
	   16,15,
	   16*numbuttons,15,
	   sizeof(TBBUTTON)
	);

	return(tb_hwindow);
};
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
HWND CreateSearch_Toolbar_Conversion( HWND hwndParent ) {
	const int numbuttons = 4;
	TBBUTTON tbb[numbuttons];
		tbb[0].iBitmap = 0;   // Array of picture to show
		tbb[0].idCommand = ID_SEARCH_CONVERSION_ROMAJI;
		tbb[0].fsState = TBSTATE_ENABLED;  // button status
		tbb[0].fsStyle = BTNS_CHECK;   // button style
		tbb[0].dwData = 0;
		tbb[0].iString = NULL;

		tbb[1].iBitmap = 1;   // Array of picture to show
		tbb[1].idCommand = ID_SEARCH_CONVERSION_KANA;
		tbb[1].fsState = TBSTATE_ENABLED;  // button status
		tbb[1].fsStyle = BTNS_CHECK;   // button style
		tbb[1].dwData = 0;
		tbb[1].iString = NULL;

		tbb[2].iBitmap = 0;   // Array of picture to show
		tbb[2].idCommand = 0;
		tbb[2].fsState = TBSTATE_ENABLED;  // button status
		tbb[2].fsStyle = BTNS_SEP;   // button style
		tbb[2].dwData = 0;
		tbb[2].iString = NULL;

		tbb[3].iBitmap = 2;   // Array of picture to show
		tbb[3].idCommand = ID_SEARCH_CONVERSION_SHOW;
		tbb[3].fsState = TBSTATE_ENABLED;  // button status
		tbb[3].fsStyle = BTNS_CHECK;   // button style
		tbb[3].dwData = 0;
		tbb[3].iString = NULL;

	HWND tb_hwindow = CreateToolbarEx(
	   hwndParent,
   	WS_VISIBLE | TBSTYLE_TOOLTIPS | TBSTYLE_FLAT | 
		CCS_NOPARENTALIGN | CCS_NOMOVEY | CCS_NODIVIDER | CCS_NORESIZE,
	   IDR_TOOLBAR_SEARCHCONVERSION,
   	numbuttons,
	   g_hinst,
   	IDR_TOOLBAR_SEARCHCONVERSION,
	   tbb,
   	numbuttons,
	   16,15,
	   16*numbuttons,15,
	   sizeof(TBBUTTON)
	);

	return(tb_hwindow);
};
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
HWND CreateSearch_Toolbar_EncodeGo( HWND hwndParent ) {
	const int numbuttons = 1;
	TBBUTTON tbb[numbuttons];
		tbb[0].iBitmap = 0;   // Array of picture to show
		tbb[0].idCommand = ID_ENCODE_PASTE;
		tbb[0].fsState = TBSTATE_ENABLED;  // button status
		tbb[0].fsStyle = BTNS_BUTTON;// | BTNS_AUTOSIZE;   // button style
		tbb[0].dwData = 0;
		tbb[0].iString = NULL;
	
	HWND tb_hwindow = CreateToolbarEx(
	   hwndParent,
   	WS_VISIBLE | TBSTYLE_TOOLTIPS | TBSTYLE_FLAT | 
		CCS_NOPARENTALIGN | CCS_NOMOVEY | CCS_NODIVIDER | CCS_NORESIZE,
	   IDR_TOOLBAR_SEARCHGO,
   	numbuttons,
	   g_hinst,
   	IDR_TOOLBAR_ENCODEGO,
	   tbb,
   	numbuttons,
	   16,15,
	   16*numbuttons,15,
	   sizeof(TBBUTTON)
	);

	return(tb_hwindow);
};
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
HWND CreateSearch_Toolbar_SearchGo( HWND hwndParent ) {
	const int numbuttons = 1;
	TBBUTTON tbb[numbuttons];
		tbb[0].iBitmap = 0;   // Array of picture to show
		tbb[0].idCommand = ID_SEARCH_GO;
		tbb[0].fsState = TBSTATE_ENABLED;  // button status
		tbb[0].fsStyle = BTNS_BUTTON;// | BTNS_AUTOSIZE;   // button style
		tbb[0].dwData = 0;
		tbb[0].iString = NULL;
	
	HWND tb_hwindow = CreateToolbarEx(
	   hwndParent,
   	WS_VISIBLE | TBSTYLE_TOOLTIPS | TBSTYLE_FLAT | 
		CCS_NOPARENTALIGN | CCS_NOMOVEY | CCS_NODIVIDER | CCS_NORESIZE,
	   IDR_TOOLBAR_SEARCHGO,
   	numbuttons,
	   g_hinst,
   	IDR_TOOLBAR_SEARCHGO,
	   tbb,
   	numbuttons,
	   45,15,
	   45*numbuttons,15,
	   sizeof(TBBUTTON)
	);

	return(tb_hwindow);
};
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
void HandleTooltips( LPARAM lParam ) {
	LPTOOLTIPTEXT lpttt = (LPTOOLTIPTEXT)lParam;
	switch( ((LPNMHDR) lParam)->code ) { 
		//case TTN_NEEDTEXT:
		case TTN_NEEDTEXTW:
		case TTN_NEEDTEXTA: {
			int tt_mode = 0;
			if( ((LPNMHDR)lParam)->code == TTN_NEEDTEXTA ) {
				tt_mode = 1;
			}

			UINT idButton;

				lpttt->hinst = NULL;
         idButton = lpttt->hdr.idFrom; 
 
         Uint16 ToolTipString[1024];

         switch (idButton) {
				case ID_SEARCH_START: {
					wsprintf( ToolTipString, L"Text appears at the beginning");
               break; 
				}
				case ID_SEARCH_MIDDLE: {
					wsprintf(ToolTipString, L"Text appears in the middle");
               break;
            }
				case ID_SEARCH_END: {
					wsprintf(ToolTipString, L"Text appears at the end");
               break;
            }
				case ID_SEARCH_WHOLE: {
					wsprintf(ToolTipString, L"Search for exact text");
               break;
            }

				case ID_MATCHSUBSTRINGS: {
					wsprintf(ToolTipString, L"Match multiple substrings" );
					break;
				}
				case ID_FORCEWORDSEARCH: {
					wsprintf(ToolTipString, L"(checked)\nOnly search in the words (~kanji) for the text\n(unchecked)\nLet JLookUp choose how to search." );
					break;
				}

				case ID_SEARCH_CONVERSION_ROMAJI: {
					wsprintf(ToolTipString, L"Convert ROMAji to kana");
               break;
            }
				case ID_SEARCH_CONVERSION_KANA: {
					wsprintf(ToolTipString, L"Kana insensitive search");
               break;
            }

				case ID_SEARCH_CONVERSION_SHOW: {
					wsprintf(ToolTipString, L"Show the converted string");
					break;
				}

				case ID_ENCODE_PASTE: {
					wsprintf(ToolTipString, L"<-- (format)\nConvert whatever's on the clipboard\ninto (format) format.\nUNICODE is the default.");
					break;
				}

				case ID_SEARCH_GO: {
					wsprintf(ToolTipString, L"Search");
					break;
				}
				default: {
					wsprintf( ToolTipString, L"(NULL)" );
				}
         } // switch( idbutton )

			if( tt_mode == 0 ) {
				lpttt->lpszText = ToolTipString;
			} else {
				Uint8 tts[1024];
				sprintf((char*)tts,"%s",ToString(ToolTipString).c_str() );
				lpttt->lpszText = (Uint16*)tts;
			}
			break;
		} // case TTN_NEEDTEXT
   } // switch(code)
}
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
#endif
///////////////////////////////////////////////////////////
