// Update_Thread.h | by Doug Manley
///////////////////////////////////////////////////////////
#ifndef UPDATE_THREAD_H
#define UPDATE_THREAD_H
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
bool thread_updating = false;
///////////////////////////////////////////////////////////
bool thread_getupdates_exitcode = false;
DWORD WINAPI Thread_GetUpdates( LPVOID lpParam ) {

						// Go through the files:
						bool allokay = true;
						for( int f = 0; f < get_files.size(); f++ ) {

							string crc;
							int pos = get_files[f].find(':');
							if( pos > 0 ) {
								crc = get_files[f].substr(pos+1,-1 );
								get_files[f] = get_files[f].substr(0,pos);
							}

							bool gotfile = false;
							// Go through the servers:
							for( int s = 0; s < servers_size; s++ ) {
								SERVER *server = &servers[s];
			
								Uint16 str[1024];
									swprintf(str,L"Getting file (%S) from (%S)...",get_files[f].c_str(), server->server );
								SendMessage(hwnd_update_status,WM_SETTEXT,0,(LPARAM)str );

								string path = string(server->files)+string("/")+get_files[f];
								bool okay = DownloadFile( server->server, (char*)path.c_str(), (char*)get_files[f].c_str() );
								if( okay ) {
									FILE *file = fopen(get_files[f].c_str(),"rb");
									if( file ) {
										// Convert the file's CRC to a string:
										char newcrc[100]; sprintf(newcrc,"%x",getcrc(file) );
										// Close it; we're done.
										fclose(file);
										// If the CRCs match...
										if( strcmp(newcrc,crc.c_str()) == 0 ) {
											gotfile = true;
												swprintf(str,L"Getting file (%S) from (%S)... OKAY!",get_files[f].c_str(), server->server );
											SendMessage(hwnd_update_status,WM_SETTEXT,0,(LPARAM)str );
											break;
										} else {
											remove(get_files[f].c_str());
												swprintf(str,L"CRC for %S FAILED.",get_files[f].c_str() );
											SendMessage(hwnd_update_status,WM_SETTEXT,0,(LPARAM)str );
										}
									}// if( file )
								} else {
										swprintf(str,L"Getting file (%S) from (%S)... FAILED!",get_files[f].c_str(), server->server );
									SendMessage(hwnd_update_status,WM_SETTEXT,0,(LPARAM)str );
								}
							}// s
							if( !gotfile ) {
								allokay = false;
							}
						}// f

	thread_updating = false;
	thread_getupdates_exitcode = allokay;
	return(0);
}

HANDLE Load_Thread_GetUpdates() {
	if( thread_updating ) {
		MessageBox(NULL,L"There is still a update going on.  Load_Thread_GetUpdates() will not open a new one.",L"Error",MB_OK );
		return(NULL);
	}

	thread_updating = true;

	DWORD id;
	HANDLE handle = CreateThread(
		NULL,
		0,
		Thread_GetUpdates,
		(LPVOID)NULL,
		0,
		&id
	);
	return(handle);
}
///////////////////////////////////////////////////////////
bool thread_checkforupdates_exitcode = false;
DWORD WINAPI Thread_CheckForUpdates( LPVOID lpParam ) {
	char *updatefile = (char*)lpParam;

	bool okaytoupdate = false;
	for( int s = 0; s < servers_size; s++ ) {
		SERVER *server = &servers[s];
		
		Uint16 str[1024];
			swprintf(str,L"Checking server for updates... (%S)...",server->server );
		SendMessage(hwnd_update_status,WM_SETTEXT,0,(LPARAM)str );

		bool okay = DownloadFile( server->server,server->path,updatefile );
		if( okay && IsUpdateFile(updatefile) ) {
			okaytoupdate = true;
			break;
		}
	}

	thread_updating = false;
	thread_checkforupdates_exitcode = true;
	return(0);
}

HANDLE Load_Thread_CheckForUpdates( char *updatefile ) {
	if( thread_updating ) {
		MessageBox(NULL,L"There is still a update going on.  Load_Thread_CheckForUpdates() will not open a new one.",L"Error",MB_OK );
		return(NULL);
	}

	thread_updating = true;

	DWORD id;
	HANDLE handle = CreateThread(
		NULL,
		0,
		Thread_CheckForUpdates,
		(LPVOID)updatefile,
		0,
		&id
	);
	return(handle);
}
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////
#endif
///////////////////////////////////////////////////////////
